#include <iostream>

using namespace std;

int main()
{
   int n,h;
   cin>>n>>h;
   int a[n];
   int br=0;
   for(int i=0;i<n;i++)
   {
       cin>>a[i];
       if(a[i]<h || a[i]==h)
       {
           cout<<i+1;
           br++;
           break;

       }
   }
   if(br==0)
   {
       cout<<-1;
   }

}